## org.eclipse.emf.mapping.ecore2ecore.presentation
Class Ecore2EcoreEditor.Ecore2EcoreInitializeCopyOverrideCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.mapping.command.InitializeCopyOverrideCommand
              org.eclipse.emf.mapping.ecore2ecore.presentation.Ecore2EcoreEditor.Ecore2EcoreInitializeCopyOverrideCommand

All Implemented Interfaces:
  Command

Enclosing class:
  Ecore2EcoreEditor

    public static class Ecore2EcoreEditor.Ecore2EcoreInitializeCopyOverrideCommand

extends InitializeCopyOverrideCommand

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`AbstractCommand.NonDirtying`

Field Summary

Fields inherited from class org.eclipse.emf.mapping.command.InitializeCopyOverrideCommand
`initializeCommand, mappingDomain`

Fields inherited from class org.eclipse.emf.common.command.AbstractCommand
`description, isExecutable, isPrepared, label`

Constructor Summary
`Ecore2EcoreEditor.Ecore2EcoreInitializeCopyOverrideCommand(MappingDomain domain, InitializeCopyCommand initializeCommand)`

Method Summary
`void` `execute()` Performs the command activity required for the effect.

Methods inherited from class org.eclipse.emf.mapping.command.InitializeCopyOverrideCommand
`getAffectedObjects, getResult, prepare, redo, toString, undo`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`canExecute, canUndo, chain, dispose, getDescription, getLabel, setDescription, setLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Ecore2EcoreEditor.Ecore2EcoreInitializeCopyOverrideCommand

    public Ecore2EcoreEditor.Ecore2EcoreInitializeCopyOverrideCommand(MappingDomain domain,
                                                                      InitializeCopyCommand initializeCommand)

Method Detail

### execute

    public void execute()

  Description copied from interface: `Command`
  Performs the command activity required for the effect. The effect of calling `execute` when `canExecute` returns `false`, or when `canExecute` hasn't been called, is undefined.

  Specified by:
    `execute` in interface `Command`
  Overrides:
    `execute` in class `InitializeCopyOverrideCommand`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.